
QGIS Application - Bug report #16283

Renaming a PostGIS table in the browser does not work as expected

2017-03-04 11:50 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24193

Description

When users rename a PostGIS table in the browser, the primary key, the index and the sequence of the table are not renamed.

History

#1 - 2017-03-04 11:51 PM - R. R.

- File 16283.mp4 added

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-25 10:46 PM - Luca Lanteri

It's not seem an error to me. Renaming a table doesn't imply the pkey and index renaming.

#4 - 2018-02-25 10:53 PM - Giovanni Manghi

- Status changed from Open to Feedback

mescal72 - wrote:

It's not seem an error to me. Renaming a table doesn't imply the pkey and index renaming.

how do other postgresql clients behave (i.e. PgAdmin)?

#5 - 2018-02-25 11:27 PM - Nyall Dawson

how do others postgresql clients behave (i.e. PgAdmin)?

No rename.

I personally think this is a "wontfix".

#6 - 2018-02-25 11:28 PM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed

Nyall Dawson wrote:

how do others postgresql clients behave (i.e. PgAdmin)?

No rename.

I personally think this is a "wontfix".

agree.

Files

16283.mp4 1.41 MB 2017-03-04 R. R.
